- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RootLogger Class Reference

Inherits Logger.

List of all members.

## Detailed Description

RootLogger sits at the top of the logger hierachy.

It is a regular logger except that it provides several guarantees.

First, it cannot be assigned a null level. Second, since root logger cannot have a parent, the getEffectiveLevel method always returns the value of the level field without walking the hierarchy.

## Public Member Functions
| RootLogger (log4cxx::helpers::Pool &pool, const LevelPtr &level)
| The root logger names itself as "root".
virtual const LevelPtr & | getEffectiveLevel () const
| Return the assigned level value without walking the logger hierarchy.
void | setLevel (const LevelPtr &level)
| Setting a null value to the level of the root logger may have catastrophic results.

## Constructor & Destructor Documentation

RootLogger | ( | log4cxx::helpers::Pool & | pool,
|  | const LevelPtr & | level
| ) |

| The root logger names itself as "root". However, the root logger cannot be retrieved by name.

## Member Function Documentation

virtual const LevelPtr& getEffectiveLevel | ( |  | ) | const`[virtual]`

| Return the assigned level value without walking the logger hierarchy. Reimplemented from Logger.

void setLevel | ( | const LevelPtr & | level | ) | `[virtual]`

| Setting a null value to the level of the root logger may have catastrophic results. We prevent this here. Reimplemented from Logger.

The documentation for this class was generated from the following file:

- rootlogger.h